Package org.opensaml.saml.saml2.core

# Interface Evidence

All Superinterfaces:
  `SAMLObject`, `XMLObject`

All Known Implementing Classes:
  `EvidenceImpl`

public interface Evidence extends SAMLObject
SAML 2.0 Core Evidence.

## Field Summary

Fields
Modifier and Type
Field
Description
`static final String`
`DEFAULT_ELEMENT_LOCAL_NAME`
Element local name.
`static final QName`
`DEFAULT_ELEMENT_NAME`
Default element name.
`static final String`
`TYPE_LOCAL_NAME`
Local name of the XSI type.
`static final QName`
`TYPE_NAME`
QName of the XSI type.

## Method Summary

Modifier and Type
Method
Description
`List<AssertionIDRef>`
`getAssertionIDReferences()`
Gets the list of AssertionID references used as evidence.
`List<Assertion>`
`getAssertions()`
Gets the list of Assertions used as evidence.
`List<AssertionURIRef>`
`getAssertionURIReferences()`
Gets the list of AssertionURI references used as evidence.
`List<EncryptedAssertion>`
`getEncryptedAssertions()`
Gets the list of EncryptedAssertions used as evidence.
`List<Evidentiary>`
`getEvidence()`
Gets the list of all elements used as evidence.

### Methods inherited from interface org.opensaml.core.xml.XMLObject

`detach, ensureDOM, getDOM, getElementQName, getIDIndex, getNamespaceManager, getNamespaces, getNoNamespaceSchemaLocation, getObjectMetadata, getOrderedChildren, getParent, getSchemaLocation, getSchemaType, hasChildren, hasParent, isNil, isNilXSBoolean, releaseChildrenDOM, releaseDOM, releaseParentDOM, resolveID, resolveIDFromRoot, setDOM, setNil, setNil, setNoNamespaceSchemaLocation, setParent, setSchemaLocation`

## Field Details

### DEFAULT_ELEMENT_LOCAL_NAME

@Nonnull @NotEmpty static final String DEFAULT_ELEMENT_LOCAL_NAME
Element local name.

See Also:
  - Constant Field Values

### DEFAULT_ELEMENT_NAME

@Nonnull static final QName DEFAULT_ELEMENT_NAME
Default element name.

### TYPE_LOCAL_NAME

@Nonnull @NotEmpty static final String TYPE_LOCAL_NAME
Local name of the XSI type.

See Also:
  - Constant Field Values

### TYPE_NAME

@Nonnull static final QName TYPE_NAME
QName of the XSI type.

## Method Details

### getAssertionIDReferences

@Nonnull @Live List<AssertionIDRef> getAssertionIDReferences()
Gets the list of AssertionID references used as evidence.

Returns:
  the list of AssertionID references used as evidence

### getAssertionURIReferences

@Nonnull @Live List<AssertionURIRef> getAssertionURIReferences()
Gets the list of AssertionURI references used as evidence.

Returns:
  the list of AssertionURI references used as evidence

### getAssertions

@Nonnull @Live List<Assertion> getAssertions()
Gets the list of Assertions used as evidence.

Returns:
  the list of Assertions used as evidence

### getEncryptedAssertions

@Nonnull @Live List<EncryptedAssertion> getEncryptedAssertions()
Gets the list of EncryptedAssertions used as evidence.

Returns:
  the list of EncryptedAssertions used as evidence

### getEvidence

@Nonnull @Live List<Evidentiary> getEvidence()
Gets the list of all elements used as evidence.

Returns:
  the list of Evidentiary objects used as evidence